<?
/* Spiros Ioannou 2009 , sivann _at_ gmail.com */

require("init.php");
define('FPDF_FONTPATH','fpdf_font/');
require_once('PDF_Label.php');

set_time_limit(15);

$selitems=(unserialize(rawurldecode($_GET['selitems'])));

$sql="SELECT * from itemtypes";
$sth=db_execute($dbh,$sql);
while ($r=$sth->fetch(PDO::FETCH_ASSOC)) $itypes[$r['id']]=$r;

//create the list of previously selected ids to get info from db
$ids="";
for ($i=0;$i<count($selitems);$i++)  {
  $ids.=$selitems[$i];
  if ($i<count($selitems)-1) $ids.=", ";
}

//print_r($ids);

$sql="SELECT items.id,model,sn,sn3,itemtypeid,dnsname,ipv4,ipv6,label, agents.title as agtitle FROM items,agents ".
     " WHERE agents.id=items.manufacturerid AND items.id in ($ids) order by itemtypeid, agtitle, model,sn,sn2,sn3";
$sth=db_execute($dbh,$sql);
$idx=0;

$pdf = new PDF_Label(array(
  'paper-size'=>"$labelpapersize", 
  'metric'=>'mm',
  'marginLeft'=>$lmargin,
  'marginTop'=>$tmargin,
  'NX'=>$cols,
  'NY'=>$rows,
  'SpaceX'=>($hpitch-$lwidth),
  'SpaceY'=>($vpitch-$lheight),
  'width'=>$lwidth,
  'height'=>$lheight,
  'font-size'=>$fontsize));

//$pdf = new PDF_Label('L7163');

$pdf->AddPage();

/* skip specified labels, to avoid printing on missing label positions on reused papers*/
for ($skipno=0;$skipno<$labelskip;$skipno++) {
  $pdf->Add_Label("","",0,255,"",0,0,6,6);
}

$pages=0;

for ($row=1;$row<=$rows;$row++) {

  if ($pages>30) break;

  for ($col=1;$col<=$cols;$col++) {
    $r=$sth->fetch(PDO::FETCH_ASSOC);
    if (!$r) break;
    $idesc=$itypes[$r['itemtypeid']]['typedesc']; 
    $id=sprintf("%04d",$r['id']);
    $dnsname=$r['dnsname'];
    $ipv4=$r['ipv4'];
    $ipv6=$r['ipv6'];
    $agtitle=$r['agtitle'];
    $model=$r['model'];

    $desc="$agtitle/$model";
    $desc=substr($desc,0,37);
    $sn=strlen($r['sn'])>0?$r['sn']:$r['sn3'];


    if ($col==1) $class="div1leftmost";
    elseif ($col==$cols) $class="div1rightmost";
    else $class="div1";
    
    $labeltext="";
    $labeltext.=sprintf("ID:$id");
    if (strlen($sn)) $labeltext.=sprintf("\nSN:$sn");
    $labeltext.=sprintf("\n$desc");
    if (strlen($ipv4)) { $labeltext.="\nIPv4:$ipv4"; }
    if (strlen($ipv6)) { $labeltext.="\nIPv6:$ipv6"; }


    if (strlen($r['label'])) { 
      $labeltext.="\n".$r['label']; 
    }
    elseif (strlen($dnsname)) { 
       $labeltext.="\nHName:$dnsname"; 
    }

   //$labeltext="Row:$row col:$col page:$pages";
    $labeltext = iconv('UTF-8', 'iso-8859-7', $labeltext);
    $labeltext_head7 = iconv('UTF-8', 'iso-8859-7', $labeltext_head);


    $pdf->Add_Label($labeltext_head7,$labeltext,$padding,$bordercolor,$labelimg,$labelimgwidth,$labelimgheight,$fontsize_header,$fontsize);
  }

  if (($row==$rows)) {
    $row=0;
    $col=0;
    $pages++;
    //$pdf->AddPage('P','A4');
  }


}

$pdf->Output();

?>



</body>
</html>
